## org.codehaus.groovy.grails.web.binding
Interface StructuredPropertyEditor

All Known Implementing Classes:
  StructuredDateEditor

    public interface StructuredPropertyEditor

A PropertyEditor that is able to edit structured properties (properties made up of multiple field values). The #assemble method takes the required type and a map of field values and create an instance of the required type.

Since:
  1.0.4
Author:
  Graeme Rocher

Method Summary
`Object` `assemble(Class type, Map fieldValues)` Assemble and bind a property value from the specified fieldValues and the given type
`List` `getOptionalFields()`
`List` `getRequiredFields()`

Method Detail

### getRequiredFields

    List getRequiredFields()

  Returns:
    The required fields

### getOptionalFields

    List getOptionalFields()

  Returns:
    The optional fields

### assemble

    Object assemble(Class type,
                    Map fieldValues)
                    throws IllegalArgumentException

  Assemble and bind a property value from the specified fieldValues and the given type

  Parameters:
    `type` - The type
    `fieldValues` - The field values
  Returns:
    A bound property
  Throws:
    `IllegalArgumentException` - Thrown in one of the field values is illegal

Copyright (c) 2005-2009 The Grails project